Download it now!
Bug 91057 - CRASH- Writer crashes when typing "ß" character at beginning of a word
Summary: CRASH- Writer crashes when typing "ß" character at beginning of a word
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.0.0 target:4.4.4
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2015-05-03 20:02 UTC by Ilfat
Modified: 2015-05-08 06:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
full bt (27.05 KB, text/plain)
2015-05-04 10:48 UTC, Alex Thurgood
Details
bt with debug symbols (5.36 KB, text/plain)
2015-05-05 20:27 UTC, Julien Nabet
Details
gdb session (3.68 KB, text/plain)
2015-05-05 20:58 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ilfat 2015-05-03 20:02:32 UTC
I began learn German. But I don't have german keyboard. And very often I make mistakes when I try type sentence "-Ich ...", I type "ßIch ",because in German keyboard instead "-" symbol is "ß". And LibreOffice Writer always crush when type last whitespace!
Comment 1 Alex Thurgood 2015-05-04 10:38:26 UTC
Confirming on

Process:               soffice [78920]
Path:                  /Applications/LibreOfficeDev.app/Contents/MacOS/soffice
Identifier:            org.libreoffice.script
Version:               5.0.0 (0)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           soffice [78920]
User ID:               501

Date/Time:             2015-05-04 12:36:49.324 +0200
OS Version:            Mac OS X 10.10.3 (14D136)
Report Version:        11
Anonymous UUID:        6C76F394-E783-0048-D0D6-5565A5E05CF0


Time Awake Since Boot: 1400000 seconds

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_CRASH (SIGABRT)
Exception Codes:       0x0000000000000000, 0x0000000000000000

Application Specific Information:
abort() called
terminating with unexpected exception of type com::sun::star::i18n::MultipleCharsOutputException
Comment 2 Ilfat 2015-05-04 10:47:36 UTC
Today I hound down than LibreOffice crush every time when type word which begin with ß character.
And in preferences I don't have German dictionary.
Comment 3 Alex Thurgood 2015-05-04 10:48:10 UTC
Created attachment 115306 [details]
full bt
Comment 4 Alex Thurgood 2015-05-04 11:13:54 UTC
Also reproduced on 

Process:               soffice [79017]
Path:                  /Applications/LO4352.app/Contents/MacOS/soffice
Identifier:            org.libreoffice.script
Version:               4.3.5002 (0)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           soffice [79017]
User ID:               501

Date/Time:             2015-05-04 13:10:15.002 +0200
OS Version:            Mac OS X 10.10.3 (14D136)
Report Version:        11
Anonymous UUID:        6C76F394-E783-0048-D0D6-5565A5E05

1) Open new Writer document
2) Type the S-sett character ß (on a non-German Mac keyboard this is Alt-B)
3) Type a space after the ß 

4) Crash
Comment 5 Alex Thurgood 2015-05-05 13:22:04 UTC
No crash in LO 3672

==>> regression
Comment 6 Alex Thurgood 2015-05-05 13:25:45 UTC
LO 4132 : OK
LO 4162 : OK


First crash I can detect is in LO 4233
Changing oldest affected version
Comment 7 Julien Nabet 2015-05-05 20:27:21 UTC
Created attachment 115367 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce the crash.
I retrieved a similar bt.
Comment 8 Julien Nabet 2015-05-05 20:58:50 UTC
Created attachment 115368 [details]
gdb session
Comment 9 Julien Nabet 2015-05-05 21:28:47 UTC
Caolan: thought you might be interested in this one.

Searching a bit about "Eszett", it seems uppercase of this German letter is a bit controversial, see http://en.wikipedia.org/wiki/%C3%9F and http://en.wikipedia.org/wiki/Capital_%E1%BA%9E
Comment 10 Caolán McNamara 2015-05-07 09:10:57 UTC
in Transliteration_body::transliterateChar2Char we are throwing MultipleCharsOutputException when there is more than one option for uppercase.

This probably started causing trouble for us with 5.1 (icu51)
Comment 11 Commit Notification 2015-05-07 09:25:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d0a0da717682a0e57f733d75d9d0700cfb198823

Resolves: tdf#91057 transliterateChar2Char throws MultipleCharsOutputException

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-05-08 06:55:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94e990de1fcf3b6bbb5e6524858fe7cc09e95594&h=libreoffice-4-4

Resolves: tdf#91057 transliterateChar2Char throws MultipleCharsOutputException

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.